package org.ow2.cmi.controller.server.component;


import org.ow2.cmi.controller.server.IServerConfig;


/**
 * Entry point for CMI extensions.
 * @author Loris Bouzonnet
 */
public interface CMIConfigurationExtension {

    /**
     * Adapt the given server configuration.
     * @param config current server configuration
     */
    void configure(IServerConfig config);

}
